Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QNucleus.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QNucleus.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QNucleus.cc	(revision 1055)
@@ -1939,5 +1944,5 @@
             if(!aLim) three=false;
             else if(r>sLim)
-		          {
+            {
               eMass = mAlph;
               dbQPDG= LAQPDG;
@@ -1945,9 +1950,9 @@
               rQPDG = laQPDG;
 #ifdef pdebug
-			           G4cout<<"G4QNucleus::EvaporateBary: L+A"<<G4endl;
-#endif
-		          }
+              G4cout<<"G4QNucleus::EvaporateBary: L+A"<<G4endl;
+#endif
+            }
             else if(zLim<sLim&&r>zLim&&r<=sLim)
-		          {
+            {
               eMass = mLamb;
               dbQPDG= LLQPDG;
@@ -1955,9 +1960,9 @@
               rQPDG = llQPDG;
 #ifdef pdebug
-			           G4cout<<"G4QNucleus::EvaporateBary: L+L"<<G4endl;
-#endif
-		          }
+              G4cout<<"G4QNucleus::EvaporateBary: L+L"<<G4endl;
+#endif
+            }
             else if(nLim<zLim&&r>nLim&&r<=zLim)
-	           {
+            {
               eMass = mProt;
               dbQPDG= PLQPDG;
@@ -1965,9 +1970,9 @@
               rQPDG = plQPDG;
 #ifdef pdebug
-			           G4cout<<"G4QNucleus::EvaporateBary: L+P"<<G4endl;
-#endif
-		          }
+              G4cout<<"G4QNucleus::EvaporateBary: L+P"<<G4endl;
+#endif
+            }
             else if(r<=nLim)
-	           {
+            {
               eMass = mNeut;
               dbQPDG= NLQPDG;
@@ -1975,13 +1980,13 @@
               rQPDG = nlQPDG;
 #ifdef pdebug
-			           G4cout<<"G4QNucleus::EvaporateBary: L+N"<<G4endl;
-#endif
-   	        }
+              G4cout<<"G4QNucleus::EvaporateBary: L+N"<<G4endl;
+#endif
+            }
             else three=false;
-		        }
+          }
           else if(PDG==aPDG&&(anCond&&apCond&&alCond&&aaCond)) // a+b+RN decay can't happen
-		        { //@@ Take into account Coulomb Barier Penetration Probability
-#ifdef pdebug
-			         G4cout<<"G4QN::EB:*a*: n="<<anCond<<",p="<<apCond<<",l="<<alCond<<",a="<<aaCond
+          { //@@ Take into account Coulomb Barier Penetration Probability
+#ifdef pdebug
+            G4cout<<"G4QN::EB:*a*: n="<<anCond<<",p="<<apCond<<",l="<<alCond<<",a="<<aaCond
                   <<G4endl;
 #endif
@@ -1990,31 +1995,31 @@
             G4double nLim=0.;
             if(N>2&&GSResNA!=GSMass&&fMass+mNeut+ABarr+GSResNA<totMass)
-			         {
-			           if(barf) nLim+=(N-2)*pow(totMass-mNeut-mAlph-ABarr-GSResNA,2);
+            {
+              if(barf) nLim+=(N-2)*pow(totMass-mNeut-mAlph-ABarr-GSResNA,2);
               else     nLim+=(N-2)*pow(totMass-mNeut-mAlph-GSResNA,2);
-			         }
+            }
             G4double zLim=nLim;
             if(Z>2&&GSResPA!=GSMass&&fMass+mProt+SAPBarr+GSResPA<totMass)
-			         {
-			           if(barf) zLim+=(Z-2)*pow(totMass-mProt-mAlph-SAPBarr-GSResPA,2);
+            {
+              if(barf) zLim+=(Z-2)*pow(totMass-mProt-mAlph-SAPBarr-GSResPA,2);
               else     zLim+=(Z-2)*pow(totMass-mProt-mAlph-GSResPA,2);
-			         }
+            }
             G4double sLim=zLim;
             if(S&&GSResLA!=GSMass&&fMass+mLamb+ABarr+GSResLA<totMass)
-			         {
-			           if(barf) sLim+=S*pow(totMass-mLamb-mAlph-ABarr-GSResLA,2);
+            {
+              if(barf) sLim+=S*pow(totMass-mLamb-mAlph-ABarr-GSResLA,2);
               else     sLim+=S*pow(totMass-mLamb-mAlph-GSResLA,2);
-			         }
+            }
             G4double aLim=sLim;
             if(evalph&&Z>3&&N>3&&a>7&&GSResAA!=GSMass&&fMass+mAlph+SAABarr+GSResAA<totMass)
-			         {
-			           if(barf) aLim+=pow(totMass-mAlph-mAlph-SAABarr-GSResAA,2)*
+            {
+              if(barf) aLim+=pow(totMass-mAlph-mAlph-SAABarr-GSResAA,2)*
                              evalph*(Z-2)*(Z-3)*(N-2)*(N-3)*12/(a-5)/(a-6)/(a-7);
               else     aLim+=pow(totMass-mAlph-mAlph-GSResAA,2)*
                              evalph*(Z-2)*(Z-3)*(N-2)*(N-3)*12/(a-5)/(a-6)/(a-7);
-			         }
+            }
             G4double r = aLim*G4UniformRand();
 #ifdef pdebug
-			         G4cout<<"G4QN::EB:a, r="<<r<<",n="<<nLim<<",z="<<zLim<<",s="<<sLim<<",a="<<aLim
+            G4cout<<"G4QN::EB:a, r="<<r<<",n="<<nLim<<",z="<<zLim<<",s="<<sLim<<",a="<<aLim
                   <<G4endl;
 #endif
@@ -2022,5 +2027,5 @@
             if(!aLim) three=false;
             else if(r>sLim)
-		          {
+            {
               eMass = mAlph;
               dbQPDG= AAQPDG;
@@ -2028,9 +2033,9 @@
               rQPDG = aaQPDG;
 #ifdef pdebug
-			           G4cout<<"G4QNucleus::EvaporateBary: A+A"<<G4endl;
-#endif
-		          }
+              G4cout<<"G4QNucleus::EvaporateBary: A+A"<<G4endl;
+#endif
+            }
             else if(zLim<sLim&&r>zLim&&r<=sLim)
-		          {
+            {
               eMass = mLamb;
               dbQPDG= LAQPDG;
@@ -2038,9 +2043,9 @@
               rQPDG = laQPDG;
 #ifdef pdebug
-			           G4cout<<"G4QNucleus::EvaporateBary: A+L"<<G4endl;
-#endif
-		          }
+              G4cout<<"G4QNucleus::EvaporateBary: A+L"<<G4endl;
+#endif
+            }
             else if(nLim<zLim&&r>nLim&&r<=zLim)
-	           {
+            {
               eMass = mProt;
               dbQPDG= PAQPDG;
@@ -2048,9 +2053,9 @@
               rQPDG = paQPDG;
 #ifdef pdebug
-			           G4cout<<"G4QNucleus::EvaporateBary: A+P"<<G4endl;
-#endif
-		          }
+              G4cout<<"G4QNucleus::EvaporateBary: A+P"<<G4endl;
+#endif
+            }
             else if(r<=nLim)
-	           {
+            {
               eMass = mNeut;
               dbQPDG= NAQPDG;
@@ -2058,24 +2063,24 @@
               rQPDG = naQPDG;
 #ifdef pdebug
-			           G4cout<<"G4QNucleus::EvaporateBary: A+N"<<G4endl;
-#endif
-   	        }
+              G4cout<<"G4QNucleus::EvaporateBary: A+N"<<G4endl;
+#endif
+            }
             else three=false;
-		        }
+          }
           else three=false;
           if(rMass<1600.)
-		        {
+          {
             if     (rQPDG==pQPDG)rMass=mProt;
             else if(rQPDG==nQPDG)rMass=mNeut;
             else if(rQPDG==lQPDG)rMass=mLamb;
-		        }
+          }
 #ifdef pdebug
           G4cout<<"G4QNucleus::EvaporateBary:evaBar="<<eMass<<bQPDG<<",resN="<<rMass<<rQPDG
                 <<",secB="<<fMass<<",three="<<three<<G4endl;
 #endif
-	       }
-	     }
+        }
+      }
       else // ==============> Just decay in a baryon and a residual (to avoid gamma-decay)
-	     { //@@ Take into account Coulomb Barier Penetration Probability (?? - Emergency)
+      { //@@ Take into account Coulomb Barier Penetration Probability (?? - Emergency)
         G4double nLim=0.;
         if(nFlag&&mNeut+GSResNn<totMass)
@@ -2083,5 +2088,5 @@
           G4double ken=totMass-mNeut-GSResNn;
           nLim+=N*CoulBarPenProb(0.,ken,0,1)*sqrt(ken);
-		      }
+        }
         G4double zLim=nLim;
         if(pFlag&&mProt+PBarr+GSResNp<totMass)
@@ -2090,5 +2095,5 @@
           if(barf) ken-=PBarr;
           zLim+=Z*CoulBarPenProb(PBarr,ken,1,1)*sqrt(ken);
-		      }
+        }
         G4double sLim=zLim;
         if(lFlag&&mLamb+GSResNl<totMass)
@@ -2096,5 +2101,5 @@
           G4double ken=totMass-mLamb-GSResNl;
           sLim+=S*CoulBarPenProb(0.,ken,0,1)*sqrt(ken);
-		      }
+        }
         G4double aLim=sLim;
         if(evalph&&aFlag&&mAlph+GSResNa<totMass)
@@ -2104,5 +2109,5 @@
           aLim+=CoulBarPenProb(ABarr,ken,2,4)*sqrt(ken)*evalph*Z*(Z-1)*N*(N-1)
                 *6/a1/(a-2)/(a-3);
-		      }
+        }
         G4double r = aLim*G4UniformRand();
 #ifdef pdebug
@@ -2111,33 +2116,33 @@
 #endif
         if     (aFlag&&r>sLim)
-		      {
+        {
           bQPDG=aQPDG;
           eMass=mAlph;
           rQPDG=AQPDG;
           rMass=GSResNa;
-		      }
+        }
         else if(lFlag&&r>=zLim&&r<=sLim&&zLim<sLim)
-		      {
+        {
           bQPDG=lQPDG;
           eMass=mLamb;
           rQPDG=LQPDG;
           rMass=GSResNl;
-		      }
+        }
         else if(nFlag&&r>=nLim&&r<=zLim&&nLim<zLim)
-	       {
+        {
           bQPDG=pQPDG;
           eMass=mProt;
           rQPDG=PQPDG;
           rMass=GSResNp;
-		      }
+        }
         else if(pFlag&&r<nLim)
-	       {
+        {
           bQPDG=nQPDG;
           eMass=mNeut;
           rQPDG=NQPDG;
           rMass=GSResNn;
-   	    }
+        }
         else
-	       {
+        {
 #ifdef pdebug
           G4cout<<"G4QNucleus::EvaporateBaryon: Photon #2-B#, dM="<<totMass-GSMass<<G4endl;
@@ -2147,5 +2152,5 @@
           eMass=0.;
           rMass=GSMass;
-	       }
+        }
 #ifdef pdebug
         G4cout<<"G4QNucl::EvaporateBaryon: b="<<eMass<<bQPDG<<",r="<<rMass<<rQPDG<<G4endl;
@@ -2153,5 +2158,5 @@
       }
       if(three)           // Decay in two baryons + Residual Nucleus
-	     {
+      {
 #ifdef pdebug
           G4cout<<"G4QNucl::EvaporateBaryon:Decay in 3 particles"<<G4endl;
@@ -2160,17 +2165,17 @@
         h2mom=G4LorentzVector(0.,0.,0.,rMass);
         h3mom=G4LorentzVector(0.,0.,0.,fMass);
-	       if(!DecayIn3(h1mom,h2mom,h3mom))
+        if(!DecayIn3(h1mom,h2mom,h3mom))
         {
 #ifdef ppdebug
           G4cout<<"*G4QNucl::EvaporateBaryon:Decay M="<<totMass<<",b="<<eMass<<bQPDG
-		        <<",f="<<fMass<<fQPDG<<",r="<<rMass<<rQPDG<<G4endl;
+          <<",f="<<fMass<<fQPDG<<",r="<<rMass<<rQPDG<<G4endl;
 #endif
           return false;
-	       }
+        }
         h1mom+=h3mom;
         bQPDG=dbQPDG;
-	     }
+      }
       else
-	     {
+      {
         if(eMass+rMass<totMass&&cntr<cntm)
         {
@@ -2180,16 +2185,16 @@
 #endif
           if(rMass<1600.)
-		        {
+          {
             if     (rQPDG==pQPDG)rMass=mProt;
             else if(rQPDG==nQPDG)rMass=mNeut;
             else if(rQPDG==lQPDG)rMass=mLamb;
-		        }
+          }
           h1mom=G4LorentzVector(0.,0.,0.,eMass);
           h2mom=G4LorentzVector(0.,0.,0.,rMass);
         }
         else if(totMass>mNeut+GSResNn)               // Neutron if 2-Decay failed
-	       {
-#ifdef pdebug
-		        G4cout<<"G4QNucl::EvaporateBaryon: Neutron , dM="<<totMass-GSResNn-mNeut<<G4endl;
+        {
+#ifdef pdebug
+          G4cout<<"G4QNucl::EvaporateBaryon: Neutron , dM="<<totMass-GSResNn-mNeut<<G4endl;
 #endif
           bQPDG=nQPDG;
@@ -2197,9 +2202,9 @@
           h1mom=G4LorentzVector(0.,0.,0.,mNeut);
           h2mom=G4LorentzVector(0.,0.,0.,GSResNn);      
-	       }
+        }
         else if(totMass>mProt+PBarr+GSResNp)               // Proton if 2-Decay failed
-	       {
-#ifdef pdebug
-		        G4cout<<"G4QNucl::EvaporateBaryon: Proton , dM="<<totMass-GSResNp-mProt<<G4endl;
+        {
+#ifdef pdebug
+          G4cout<<"G4QNucl::EvaporateBaryon: Proton , dM="<<totMass-GSResNp-mProt<<G4endl;
 #endif
           bQPDG=pQPDG;
@@ -2207,9 +2212,9 @@
           h1mom=G4LorentzVector(0.,0.,0.,mProt);
           h2mom=G4LorentzVector(0.,0.,0.,GSResNp);      
-	       }
+        }
         else if(totMass>mAlph+ABarr+GSResNa)               // Alpha if 2-Decay failed
-	       {
-#ifdef pdebug
-		        G4cout<<"G4QNucl::EvaporateBaryon: Alpha , dM="<<totMass-GSResNa-mAlph<<G4endl;
+        {
+#ifdef pdebug
+          G4cout<<"G4QNucl::EvaporateBaryon: Alpha , dM="<<totMass-GSResNa-mAlph<<G4endl;
 #endif
           bQPDG=aQPDG;
@@ -2217,9 +2222,9 @@
           h1mom=G4LorentzVector(0.,0.,0.,mAlph);
           h2mom=G4LorentzVector(0.,0.,0.,GSResNa);      
-	       }
+        }
         else if(totMass>GSMass)               // Photon if 2-Decay failed
-	       {
-#ifdef pdebug
-		        G4cout<<"G4QNucl::EvaporateBaryon:Photon ### 2 ###, dM="<<totMass-GSMass<<G4endl;
+        {
+#ifdef pdebug
+          G4cout<<"G4QNucl::EvaporateBaryon:Photon ### 2 ###, dM="<<totMass-GSMass<<G4endl;
 #endif
           bQPDG=gQPDG;
@@ -2227,17 +2232,17 @@
           h1mom=G4LorentzVector(0.,0.,0.,0.);
           h2mom=G4LorentzVector(0.,0.,0.,GSMass);      
-	       }
+        }
         else
         {
-	         G4cerr<<"***G4QNucl::EvaporateBaryon: Cann't evaporate even gamma (1)"<<G4endl;
+          G4cerr<<"***G4QNucl::EvaporateBaryon: Cann't evaporate even gamma (1)"<<G4endl;
           return false;
         }
       }
-	   }
+    }
     else // ==> Decay in 3 Baryons + Residual is impossible at this point
-	   {
-	     if(secB)                        // Decay in 2Baryons(2a,a+bary)+ResidN is possible
-	     //if(2>3)
-	     {
+    {
+      if(secB)                        // Decay in 2Baryons(2a,a+bary)+ResidN is possible
+      //if(2>3)
+      {
 #ifdef pdebug
         G4cout<<"G4QNucleus::EvaporateBaryon: Decay in 2 baryons"<<G4endl;
@@ -2246,5 +2251,5 @@
         //@@ Coulomb Barrier penetration can be added
         G4double alp=0.;
-		      if(aSecF)alp=evalph*Z*(Z-1)*N*(N-1)*10/(a-2)/(a-3)/(a-4);
+        if(aSecF)alp=evalph*Z*(Z-1)*N*(N-1)*10/(a-2)/(a-3)/(a-4);
         G4double  nnLim=0.;
         if(nnFlag&&totMass>mNeut+mNeut+GSResNN)
@@ -2252,14 +2257,14 @@
         G4double  nzLim=nnLim;
         if(npFlag&&totMass>mNeut+mProt+PBarr+GSResNP)
-		      {
+        {
           if(barf) nzLim+=2*N*Z*pow(totMass-mNeut-mProt-PBarr-GSResNP,2);
           else     nzLim+=2*N*Z*pow(totMass-mNeut-mProt-GSResNP,2);
-		      }
+        }
         G4double  zzLim=nzLim;
         if(ppFlag&&totMass>mProt+mProt+SPPBarr+GSResPP)
-		      {
+        {
           if(barf) zzLim+=Z*(Z-1)*pow(totMass-mProt-mProt-SPPBarr-GSResPP,2);
           else     zzLim+=Z*(Z-1)*pow(totMass-mProt-mProt-GSResPP,2);
-		      }
+        }
         G4double  nlLim=zzLim;
         if(nlFlag&&totMass>mNeut+mLamb+GSResNL)
@@ -2267,8 +2272,8 @@
         G4double  zlLim=nlLim;
         if(plFlag&&totMass>mProt+PBarr+mLamb+GSResPL)
-		      {
+        {
           if(barf) zlLim+=2*Z*S*pow(totMass-mProt-mLamb-PBarr-GSResPL,2);
           else     zlLim+=2*Z*S*pow(totMass-mProt-mLamb-GSResPL,2);
-		      }
+        }
         G4double  llLim=zlLim;
         if(llFlag&&totMass>mLamb+mLamb+GSResLL)
@@ -2276,31 +2281,31 @@
         G4double  naLim=llLim;
         if(naFlag&&totMass>mNeut+mAlph+ABarr+GSResNA)
-		      {
+        {
           if(barf) naLim+=(N-3)*alp*pow(totMass-mNeut-mAlph-ABarr-GSResNA,2);
           else     naLim+=(N-3)*alp*pow(totMass-mNeut-mAlph-GSResNA,2);
-		      }
+        }
         G4double  zaLim=naLim;
         if(paFlag&&totMass>mProt+SAPBarr+mAlph+GSResPA)
-		      {
+        {
           if(barf) zaLim+=(Z-3)*alp*pow(totMass-mProt-mAlph-SAPBarr-GSResPA,2);
           else     zaLim+=(Z-3)*alp*pow(totMass-mProt-mAlph-GSResPA,2);
-		      }
+        }
         G4double  laLim=zaLim;
         if(laFlag&&totMass>mLamb+mAlph+ABarr+GSResLA)
-		      {
+        {
           if(barf) laLim+=S*alp*pow(totMass-mLamb-mAlph-ABarr-GSResLA,2);
           else     laLim+=S*alp*pow(totMass-mLamb-mAlph-GSResLA,2);
-		      }
+        }
         G4double  aaLim=laLim;
         if(evalph&&aaFlag&&totMass>mAlph+mAlph+SAABarr+GSResAA)
-		      {
+        {
           if(barf) aaLim+=alp*pow(totMass-mAlph-mAlph-SAABarr-GSResAA,2)*
                           evalph*(Z-2)*(Z-3)*(N-2)*(N-3)*7/(a-5)/(a-6)/(a-7);
           else     aaLim+=alp*pow(totMass-mAlph-mAlph-GSResAA,2)*
                           evalph*(Z-2)*(Z-3)*(N-2)*(N-3)*7/(a-5)/(a-6)/(a-7);
-		      }
+        }
         G4double r = aaLim*G4UniformRand();
         if     (aaLim&&laLim<r)
-	       {
+        {
           dbQPDG= AAQPDG;
           eMass=mAlph;
@@ -2309,9 +2314,9 @@
           rMass=GSResAA;
 #ifdef pdebug
-		        G4cout<<"G4QNuc::EvapBaryon: A+A, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
-#endif
-	       }
+          G4cout<<"G4QNuc::EvapBaryon: A+A, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
+#endif
+        }
         else if(aaLim&&zaLim<r&&r<laLim)
-	       {
+        {
           dbQPDG= LAQPDG;
           eMass=mAlph;
@@ -2320,9 +2325,9 @@
           rMass=GSResLA;
 #ifdef pdebug
-		        G4cout<<"G4QNuc::EvapBaryon: A+L, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
-#endif
-	       }
+          G4cout<<"G4QNuc::EvapBaryon: A+L, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
+#endif
+        }
         else if(aaLim&&naLim<r&&r<zaLim)
-	       {
+        {
           dbQPDG= PAQPDG;
           eMass=mAlph;
@@ -2331,9 +2336,9 @@
           rMass=GSResPA;
 #ifdef pdebug
-		        G4cout<<"G4QNuc::EvapBaryon: A+P, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
-#endif
-	       }
+          G4cout<<"G4QNuc::EvapBaryon: A+P, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
+#endif
+        }
         else if(aaLim&&llLim<r&&r<naLim)
-	       {
+        {
           dbQPDG= NAQPDG;
           eMass=mAlph;
@@ -2342,9 +2347,9 @@
           rMass=GSResNA;
 #ifdef pdebug
-		        G4cout<<"G4QNuc::EvapBaryon: A+N, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
-#endif
-	       }
+          G4cout<<"G4QNuc::EvapBaryon: A+N, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
+#endif
+        }
         else if(aaLim&&zlLim<r&&r<llLim)
-	       {
+        {
           dbQPDG= LLQPDG;
           eMass=mLamb;
@@ -2353,9 +2358,9 @@
           rMass=GSResLL;
 #ifdef pdebug
-		        G4cout<<"G4QNuc::EvapBaryon: L+L, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
-#endif
-	       }
+          G4cout<<"G4QNuc::EvapBaryon: L+L, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
+#endif
+        }
         else if(aaLim&&nlLim<r&&r<zlLim)
-	       {
+        {
           dbQPDG= PLQPDG;
           eMass=mLamb;
@@ -2364,9 +2369,9 @@
           rMass=GSResPL;
 #ifdef pdebug
-		        G4cout<<"G4QNuc::EvapBaryon: L+p, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
-#endif
-	       }
+          G4cout<<"G4QNuc::EvapBaryon: L+p, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
+#endif
+        }
         else if(aaLim&&zzLim<r&&r<nlLim)
-	       {
+        {
           dbQPDG= NLQPDG;
           eMass=mLamb;
@@ -2375,10 +2380,10 @@
           rMass=GSResNL;
 #ifdef pdebug
-		        G4cout<<"G4QNuc::EvapBaryon: L+n, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
-#endif
-
-	       }
+          G4cout<<"G4QNuc::EvapBaryon: L+n, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
+#endif
+
+        }
         else if(aaLim&&nzLim<r&&r<zzLim)
-	       {
+        {
           dbQPDG= PPQPDG;
           eMass=mProt;
@@ -2387,9 +2392,9 @@
           rMass=GSResPP;
 #ifdef pdebug
-		        G4cout<<"G4QNuc::EvapBaryon: p+p, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
-#endif
-	       }
+          G4cout<<"G4QNuc::EvapBaryon: p+p, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
+#endif
+        }
         else if(aaLim&&nnLim<r&&r<nzLim)
-	       {
+        {
           dbQPDG= NPQPDG;
           eMass=mNeut;
@@ -2398,9 +2403,9 @@
           rMass=GSResNP;
 #ifdef pdebug
-		        G4cout<<"G4QNuc::EvapBaryon: n+p, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
-#endif
-	       }
+          G4cout<<"G4QNuc::EvapBaryon: n+p, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
+#endif
+        }
         else if(aaLim&&r<nnLim)
-	       {
+        {
           dbQPDG= NNQPDG;
           eMass=mNeut;
@@ -2409,10 +2414,10 @@
           rMass=GSResNN;
 #ifdef pdebug
-		        G4cout<<"G4QNuc::EvapBaryon: n+n, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
-#endif
-   	    }
+          G4cout<<"G4QNuc::EvapBaryon: n+n, e="<<eMass<<",f="<<fMass<<",r="<<rMass<<G4endl;
+#endif
+        }
         //Two particle decay only possible (not frequent event!)
         else if(nFlag)
-		      {
+        {
 #ifdef pdebug
           G4cout<<"G4QNucleus::EvaporateBaryon:Photon ### Decay in neutron ###"<<G4endl;
@@ -2423,7 +2428,7 @@
           eMass=mNeut;
           rMass=GSResNn;
-		      }
+        }
         else if(pFlag)
-		      {
+        {
 #ifdef pdebug
           G4cout<<"G4QNucleus::EvaporateBaryon:Photon ### Decay in proton ###"<<G4endl;
@@ -2434,7 +2439,7 @@
           eMass=mProt;
           rMass=GSResNp;
-		      }
+        }
         else if(aFlag)
-		      {
+        {
 #ifdef pdebug
           G4cout<<"G4QNucleus::EvaporateBaryon:Photon ### Decay in alpha ###"<<G4endl;
@@ -2445,7 +2450,7 @@
           eMass=mAlph;
           rMass=GSResNa;
-		      }
+        }
         else if(lFlag)
-		      {
+        {
 #ifdef pdebug
           G4cout<<"G4QNucleus::EvaporateBaryon:Photon ### Decay in Lambda ###"<<G4endl;
@@ -2456,7 +2461,7 @@
           eMass=mLamb;
           rMass=GSResNl;
-		      }
+        }
         else
-		      {
+        {
 #ifdef pdebug
           G4cout<<"G4QNuc::EvaporBaryon: Photon ### 3-Big ###,dM="<<totMass-GSMass<<G4endl;
@@ -2467,5 +2472,5 @@
           eMass=0.;
           rMass=GSMass;
-		      }
+        }
         if(tpd)
         {
@@ -2473,12 +2478,12 @@
           h2mom=G4LorentzVector(0.,0.,0.,rMass);
           h3mom=G4LorentzVector(0.,0.,0.,fMass);
-	         if(!DecayIn3(h1mom,h2mom,h3mom))
+          if(!DecayIn3(h1mom,h2mom,h3mom))
           {
 #ifdef pdebug
             G4cout<<"*G4QNucl::EvaporateBaryon:Decay M="<<totMass<<",b="<<eMass<<bQPDG
-		          <<",f="<<fMass<<fQPDG<<",r="<<rMass<<rQPDG<<G4endl;
+            <<",f="<<fMass<<fQPDG<<",r="<<rMass<<rQPDG<<G4endl;
 #endif
             return false;
-	         }
+          }
           h1mom+=h3mom;
           bQPDG=dbQPDG;
@@ -2486,19 +2491,19 @@
           G4double sma=h1mom.m();
           G4double dma=sma-eMass-fMass;
-		        G4cout<<"G4QNuc::EvapBar:s="<<sma<<",e="<<eMass<<",f="<<fMass<<",d="<<dma<<",rM="
+          G4cout<<"G4QNuc::EvapBar:s="<<sma<<",e="<<eMass<<",f="<<fMass<<",d="<<dma<<",rM="
                 <<rMass<<G4endl;
 #endif
-		      }
+        }
         else
-		      {
+        {
           if(rMass<1600.)
-		        {
+          {
             if     (rQPDG==pQPDG)rMass=mProt;
             else if(rQPDG==nQPDG)rMass=mNeut;
             else if(rQPDG==lQPDG)rMass=mLamb;
-		        }
+          }
           h1mom=G4LorentzVector(0.,0.,0.,eMass);
           h2mom=G4LorentzVector(0.,0.,0.,rMass);      
-	         if(!DecayIn2(h1mom,h2mom))
+          if(!DecayIn2(h1mom,h2mom))
           {
 #ifdef pdebug
@@ -2507,5 +2512,5 @@
 #endif
             return false;
-	         }
+          }
           h1->SetQPDG(bQPDG);
           h2->SetQPDG(rQPDG);
@@ -2514,9 +2519,9 @@
 #ifdef pdebug
           G4cout<<"G4QNuc::EvapBaryon: Emergency decay is done for b="<<bQPDG<<h1->GetQC()
-	               <<h1mom<<h1mom.m()<<", r="<<rQPDG<<h2->GetQC()<<h2mom<<h2mom.m()<<G4endl;
+                <<h1mom<<h1mom.m()<<", r="<<rQPDG<<h2->GetQC()<<h2mom<<h2mom.m()<<G4endl;
 #endif
           return true;
-		      }
-	     }
+        }
+      }
       else                                     // Only decay in Baryon+Residual is possible
       {
@@ -2530,5 +2535,5 @@
           G4double ken=totMass-mNeut-GSResNn;
           nLim+=N*CoulBarPenProb(0.,ken,0,1)*sqrt(ken);
-		      }
+        }
         G4double zLim=nLim;
         if(pFlag&&mProt+PBarr+GSResNp<totMass)
@@ -2537,5 +2542,5 @@
           if(barf) ken-=PBarr;
           zLim+=Z*CoulBarPenProb(PBarr,ken,1,1)*sqrt(ken);
-		      }
+        }
         G4double sLim=zLim;
         if(lFlag&&mLamb+GSResNl<totMass)
@@ -2543,7 +2548,7 @@
           G4double ken=totMass-mLamb-GSResNl;
           sLim+=S*CoulBarPenProb(0.,ken,0,1)*sqrt(ken);
-		      }
+        }
         G4double aLim=sLim;
-		      if(aFlag&&mAlph+GSResNa+ABarr<totMass)
+        if(aFlag&&mAlph+GSResNa+ABarr<totMass)
         {
           G4double ken=totMass-mAlph-GSResNa;
@@ -2555,5 +2560,5 @@
                 <<CoulBarPenProb(ABarr,ken,2,4)<<G4endl;
 #endif
-		      }
+        }
         G4double r = aLim*G4UniformRand();
 #ifdef pdebug
@@ -2562,5 +2567,5 @@
 #endif
         if     (aFlag&&r>sLim)
-	       {
+        {
           bQPDG=aQPDG;
           eMass=mAlph;
@@ -2570,7 +2575,7 @@
           G4cout<<"G4QNucleus::EvaporateBaryon: Decay in A + rA="<<GSResNa+mAlph<<G4endl;
 #endif
-	       }
+        }
         else if(lFlag&&r>zLim&&r<sLim)
-	       {
+        {
           bQPDG=lQPDG;
           eMass=mLamb;
@@ -2580,7 +2585,7 @@
           G4cout<<"G4QNucleus::EvaporateBaryon: Decay in L + rA="<<GSResNl+mLamb<<G4endl;
 #endif
-	       }
+        }
         else if(pFlag&&r>nLim&&r<zLim)
-	       {
+        {
           bQPDG=pQPDG;
           eMass=mProt;
@@ -2590,7 +2595,7 @@
           G4cout<<"G4QNucleus::EvaporateBaryon: Decay in P + rA="<<GSResNp+mProt<<G4endl;
 #endif
-	       }
+        }
         else if(nFlag&&r<nLim)
-	       {
+        {
           bQPDG=nQPDG;
           eMass=mNeut;
@@ -2600,7 +2605,7 @@
           G4cout<<"G4QNucleus::EvaporateBaryon: Decay in N + rA="<<GSResNn+mNeut<<G4endl;
 #endif
-   	    }
+        }
         else if(mProt+GSResNp<totMass)
-	       {
+        {
 #ifdef pdebug
           G4cout<<"G4QNucl::EvapBar: Emergency Proton, dM="<<totMass-GSResNp-mProt<<G4endl;
@@ -2610,7 +2615,7 @@
           eMass=mProt;
           rMass=GSResNp;
-	       }
+        }
         else if(mAlph+GSResNa<totMass)
-	       {
+        {
 #ifdef pdebug
           G4cout<<"G4QNucl::EvapBar: Emergency Alpha, dM="<<totMass-GSResNa-mAlph<<G4endl;
@@ -2620,7 +2625,7 @@
           eMass=mAlph;
           rMass=GSResNa;
-	       }
+        }
         else
-	       {
+        {
 #ifdef pdebug
           G4cout<<"G4QNuc::EvapBaryon: Photon ### 4-Big ###, dM="<<totMass-GSMass<<G4endl;
@@ -2630,25 +2635,25 @@
           eMass=0.;
           rMass=GSMass;
-	       }
+        }
         if(rMass<1600.)
-		      {
+        {
           if     (rQPDG==pQPDG)rMass=mProt;
           else if(rQPDG==nQPDG)rMass=mNeut;
           else if(rQPDG==lQPDG)rMass=mLamb;
-	       }
+        }
         h1mom=G4LorentzVector(0.,0.,0.,eMass);
         h2mom=G4LorentzVector(0.,0.,0.,rMass);      
       }
-	   }
-	   if(!DecayIn2(h1mom,h2mom))
+    }
+    if(!DecayIn2(h1mom,h2mom))
     {
 #ifdef pdebug
       G4cout<<"*G4QNucleus::EvaporateBaryon: Decay M="<<totMass<<",b="<<bQPDG<<h1->GetQC()
-		    <<eMass<<",r="<<rQPDG<<h2->GetQC()<<rMass<<G4endl;
+      <<eMass<<",r="<<rQPDG<<h2->GetQC()<<rMass<<G4endl;
 #endif
       return false;
-	   }
-#ifdef pdebug
-	   G4cout<<"G4QN::EvaB: **RESULT** b="<<bQPDG<<h1mom<<", r="<<rQPDG<<h2mom<<G4endl;
+    }
+#ifdef pdebug
+    G4cout<<"G4QN::EvaB: **RESULT** b="<<bQPDG<<h1mom<<", r="<<rQPDG<<h2mom<<G4endl;
 #endif
     h1->SetQPDG(bQPDG);
@@ -2658,7 +2663,7 @@
 #ifdef pdebug
     G4cout<<"G4QNucleus::EvaporateBaryon: Evaporation is done for b="<<bQPDG<<h1->GetQC()
-	      <<h1mom<<h1mom.m()<<", r="<<rQPDG<<h2->GetQC()<<h2mom<<h2mom.m()<<G4endl;
-#endif
-	   return true;
+       <<h1mom<<h1mom.m()<<", r="<<rQPDG<<h2->GetQC()<<h2mom<<h2mom.m()<<G4endl;
+#endif
+    return true;
   }
   else if(a==1)
@@ -2707,6 +2712,6 @@
   {
     j--;
-	   i++;
-	   v*=j*f/i;
+    i++;
+    v*=j*f/i;
     s+=v;
   }
@@ -2724,27 +2729,27 @@
   static G4int mesonPDG[nOfMesons]  =  {221,111,211,-211,311,321,-311,-321,331,    //  0- 8
   // Vector resonances   (1):           omega,Rh0,Rh+,Rho-,K0*,K+*,AK0*,AK-*,Phi
-																																								223,113,213,-213,313,323,-313,-323,333,    //  9-18
+                                        223,113,213,-213,313,323,-313,-323,333,    //  9-18
   // Tensor D-resonances (2):           f2 ,a20,a2+, a2-,K20,K2+,AK20,AK2-,f2'
-																																								225,115,215,-215,315,325,-315,-325,335,    // 19-27
+                                        225,115,215,-215,315,325,-315,-325,335,    // 19-27
   // Tensor F-resonances (3):           om3,ro3,r3+,rh3-,K30,K3+,AK30,AK3-,Phi3
                                         227,117,217,-217,317,327,-317,-327,337,    // 28-35
   // Tensor G-resonances (4):           f4 ,a40,a4+, a4-,K40,K4+,AK40,AK4-,f4'
-								                                229,119,219,-219,319,329,-319,-329,339};   // 36-44
+                                        229,119,219,-219,319,329,-319,-329,339};   // 36-44
   // Baryon octet      (1/2):          n  , an  , p  , ap  ,lamb,alamb, sig-,asig-
   static G4int baryonPDG[nOfBaryons]={2112,-2112,2212,-2212,3122,-3122,3112,-3112, // 45-52
-		// Hyperon octet     (1/2):         sig0,asig0,sig+,asig+,ksi-,aksi-,ksi0,aksi0
-																																						3212,-3212,3222,-3222,3312,-3312,3322,-3322, // 53-60
+  // Hyperon octet     (1/2):         sig0,asig0,sig+,asig+,ksi-,aksi-,ksi0,aksi0
+                                      3212,-3212,3222,-3222,3312,-3312,3322,-3322, // 53-60
   // Baryon decuplet   (3/2):   del-,adel-,del0,adel0,del+,adel+,dl++,adl++,sis-,asis-
-																																1114,-1114,2114,-2114,2214,-2214,2224,-2224,3114,-3114,//70
-		//                            sis0,asis0,sis+,asis+,kss-,akss-,kss0,akss0,omeg,aomeg
-																																3214,-3214,3224,-3224,3314,-3314,3324,-3324,3334,-3334,//80
+                                1114,-1114,2114,-2114,2214,-2214,2224,-2224,3114,-3114,//70
+  //                            sis0,asis0,sis+,asis+,kss-,akss-,kss0,akss0,omeg,aomeg
+                                3214,-3214,3224,-3224,3314,-3314,3324,-3324,3334,-3334,//80
   // Baryon octet      (5/2):         n5/2,an5/2,p5/2,ap5/2,l5/2,al5/2,si5-,asi5-
-																																						2116,-2116,2216,-2216,3126,-3126,3116,-3116, // 81-88
-		//                                  si50,asi50,si5+,asi5+,ks5-,aks5-,ks50,aks50
+                                      2116,-2116,2216,-2216,3126,-3126,3116,-3116, // 81-88
+  //                                  si50,asi50,si5+,asi5+,ks5-,aks5-,ks50,aks50
                                       3216,-3216,3226,-3226,3316,-3316,3326,-3326, // 89-96
   // Baryon decuplet   (7/2):  dl5-,adl5-,dl50,adl50,dl5+,adl5+,d5++,ad5++,si5-,asi5-
-																														1118,-1118,2118,-2118,2218,-2218,2228,-2228,3118,-3118, //106
-		//                          si50,asi50,si5+,asi5+,ks5-,aks5-,ks50,aks50,ome5,aome5
-																														3218,-3218,3228,-3228,3318,-3318,3328,-3328,3338,-3338};//116
+                              1118,-1118,2118,-2118,2218,-2218,2228,-2228,3118,-3118, //106
+  //                          si50,asi50,si5+,asi5+,ks5-,aks5-,ks50,aks50,ome5,aome5
+                              3218,-3218,3228,-3228,3318,-3318,3328,-3328,3338,-3338};//116
   G4int i=0;
 #ifdef debug
